org.apache.xmlbeans.impl.xb.xsdschema

## Interface TopLevelElement

- All Superinterfaces:
    Annotated, Element, OpenAttrs, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    TopLevelElementImpl

      public interface TopLevelElement
      extends Element

  An XML topLevelElement(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<TopLevelElement>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the "name" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Element

      `addNewComplexType, addNewKey, addNewKeyref, addNewSimpleType, addNewUnique, getAbstract, getBlock, getComplexType, getDefault, getFinal, getFixed, getForm, getKeyArray, getKeyArray, getKeyList, getKeyrefArray, getKeyrefArray, getKeyrefList, getMaxOccurs, getMinOccurs, getNillable, getRef, getSimpleType, getSubstitutionGroup, getType, getUniqueArray, getUniqueArray, getUniqueList, insertNewKey, insertNewKeyref, insertNewUnique, isSetAbstract, isSetBlock, isSetComplexType, isSetDefault, isSetFinal, isSetFixed, isSetForm, isSetMaxOccurs, isSetMinOccurs, isSetNillable, isSetRef, isSetSimpleType, isSetSubstitutionGroup, isSetType, removeKey, removeKeyref, removeUnique, setAbstract, setBlock, setComplexType, setDefault, setFinal, setFixed, setForm, setKeyArray, setKeyArray, setKeyrefArray, setKeyrefArray, setMaxOccurs, setMinOccurs, setNillable, setRef, setSimpleType, setSubstitutionGroup, setType, setUniqueArray, setUniqueArray, sizeOfKeyArray, sizeOfKeyrefArray, sizeOfUniqueArray, unsetAbstract, unsetBlock, unsetComplexType, unsetDefault, unsetFinal, unsetFixed, unsetForm, unsetMaxOccurs, unsetMinOccurs, unsetNillable, unsetRef, unsetSimpleType, unsetSubstitutionGroup, unsetType, xgetAbstract, xgetBlock, xgetDefault, xgetFinal, xgetFixed, xgetForm, xgetMaxOccurs, xgetMinOccurs, xgetNillable, xgetRef, xgetSubstitutionGroup, xgetType, xsetAbstract, xsetBlock, xsetDefault, xsetFinal, xsetFixed, xsetForm, xsetMaxOccurs, xsetMinOccurs, xsetNillable, xsetRef, xsetSubstitutionGroup, xsetType`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<TopLevelElement> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getName

          String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `Element`

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `Element`

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `Element`

    - #### setName

          void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `Element`

    - #### xsetName

          void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `Element`

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `Element`